#include "StdAfx.h"
#include "QRCodeJig.h"


QRCodeJig::QRCodeJig(CExtQRCode *pCode) 
    : m_pCode(pCode)
{
}

QRCodeJig::~QRCodeJig(void)
{
}

AcDbDimDataPtrArray* QRCodeJig::dimData( const double )
{
    return nullptr;
}

AcDbEntity* QRCodeJig::entity() const
{
    return static_cast<AcDbEntity*>(m_pCode);
}

Adesk::Boolean QRCodeJig::update()
{
    m_pCode->setPosistion(m_curPointWc);
    return Adesk::kTrue;
}

AcEdJig::DragStatus QRCodeJig::sampler()
{
    setSpecialCursorType(AcEdJig::kCrosshair);

    setUserInputControls((UserInputControls)
        (kNullResponseAccepted|kAccept3dCoordinates|kDontUpdateLastPoint));

    DragStatus stat = AcEdJig::acquirePoint(m_curPointWc);

    if(stat != kNormal)
        return stat;
    if(!this->hasMoved())
        return kNoChange;

    m_lastPointWc = m_curPointWc;
    return stat ;
}

bool QRCodeJig::getPoint( const TCHAR* prompt )
{
    setDispPrompt(prompt);
    AcEdJig::DragStatus stat = drag();
    return stat == AcEdJig::kNormal;
}

bool QRCodeJig::hasMoved()
{
     return !(m_lastPointWc.isEqualTo(m_curPointWc));
}

