#include "StdAfx.h"
#include "QRCodeNode.h"


CQRCodeNode::CQRCodeNode() :
    m_onClr(AcCmEntityColor(0,0,0)),
    m_offClr(AcCmEntityColor(255,255,255)),
    m_isOn(false)
{
  
}

CQRCodeNode::~CQRCodeNode(void)
{
}

void CQRCodeNode::draw(const AcGiWorldGeometry& rGeom, AcGiSubEntityTraits& rTraits, const AcGePoint3d &position, bool isOn)
{
    m_points[0].x = position.x;
    m_points[0].y = position.y;
    m_points[1].x = position.x+1;
    m_points[1].y = position.y;
    m_points[2].x = position.x+1;
    m_points[2].y = position.y+1;
    m_points[3].x = position.x;
    m_points[3].y = position.y+1;

    if(isOn)
    {
        if(m_isOn != isOn)
        {
           rTraits.setTrueColor(m_onClr);
           m_isOn = isOn;
        }
    }
    else
    {
        if(m_isOn != isOn)
        {
           rTraits.setTrueColor(getOffClr());
           m_isOn = isOn;
        }
    }
    rGeom.polygon(m_points.size(),m_points.data());
}


