#pragma once

#ifdef BRX_APP  // not available with ARX

#include "BrxSpecific/AcOpmExtensions.h"

class CQRCodeOPMClientExtension :  public AcOPMClientExtension
{
public:
    CQRCodeOPMClientExtension(void);
    virtual ~CQRCodeOPMClientExtension(void);

 public:
    virtual bool getPropertyMap(const AcRxClass* entityClass, AcOPMPropertyArray& properties) const;

    virtual bool getObjectName(const AcDbEntity* entity, AcString& name) const;

    virtual bool getCategoryName(const AcString& category, AcString& name) const;
    virtual bool getCategoryName(AcOPMCategoryId category, AcString& name) const;

    virtual bool getPropertyName(const AcDbEntity* entity, AcOPMPropertyId propertyId, 
        const AcString& childName, AcString& name) const;

    virtual bool getPropertyDescription(const AcDbEntity* entity, AcOPMPropertyId propertyId,
        const AcString& childName, AcString& description) const;

    virtual bool getPropertyEnabled(const AcDbEntity* entity, AcOPMPropertyId propertyId,
        const AcString& childName, bool& enabled, bool& hideDisabled) const;

    virtual bool getPropertyReadOnly(const AcDbEntity* entity, AcOPMPropertyId propertyId,
        const AcString& childName, bool& readOnly) const;

    virtual bool getPredefinedStrings(const AcDbEntity* entity, AcOPMPropertyId propertyId,
        const AcString& childName, AcStringArray& predefinedStrings) const;

    virtual bool getPropertyValue(const AcDbEntity* entity, AcOPMPropertyId propertyId,
        const AcString& childName, AcOPMVariant& value) const;

    virtual bool setPropertyValue(AcDbEntity* entity, AcOPMPropertyId propertyId,
        const AcString& childName, const AcOPMVariant& value);
};

#endif


bool registerQRCodeOPMExtension();    // dummy implemented for ARX build
bool unregisterQRCodeOPMExtension();  // dummy implemented for ARX build
